Bug 837924 - SELinux is preventing /usr/bin/lpr.cups from 'connectto' accesses on the unix_stream_socket /run/user/roger/keyring-22uREb/pkcs11.
SELinux is preventing /usr/bin/lpr.cups from 'connectto' accesses on the unix...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-05 16:13 EDT by Roger Berg
Modified: 2012-07-21 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-21 18:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Roger Berg 2012-07-05 16:13:02 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.x86_64
time:           tor  5 jul 2012 22:12:37

:SELinux is preventing /usr/bin/lpr.cups from 'connectto' accesses on the unix_stream_socket /run/user/roger/keyring-22uREb/pkcs11.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If du tror att lpr.cups borde tillåtas åtkomsten connectto till pkcs11 unix_stream_socket som standard.
:Then du bör rapportera detta som ett fel.
:Du kan generera en lokal policymodul för att tillåta denna åtkomst.
:tillåt denna åtkomst för tillfället genom att köra:
:# grep lpr /var/log/audit/audit.log | audit2allow -M minpol
:# semodule -i minpol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                /run/user/roger/keyring-22uREb/pkcs11 [
:                              unix_stream_socket ]
:Source                        lpr
:Source Path                   /usr/bin/lpr.cups
:Port                          <Okänd>
:Host                          (removed)
:Source RPM Packages           cups-1.5.2-12.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-134.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.x86_64 #1 SMP Mon
:                              Jun 18 19:53:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    tor  5 jul 2012 10:55:35
:Last Seen                     tor  5 jul 2012 10:55:35
:Local ID                      6faea4ad-e486-447d-bff8-5d35a1b85f7f
:Raw Audit Messages
:type=AVC msg=audit(1341478535.485:883): avc:  denied  { connectto } for  pid=26567 comm="lpr" path="/run/user/roger/keyring-22uREb/pkcs11" scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
:type=SYSCALL msg=audit(1341478535.485:883): arch=x86_64 syscall=connect success=no exit=EACCES a0=6 a1=7fff2397fd90 a2=6e a3=3 items=0 ppid=26489 pid=26567 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=lpr exe=/usr/bin/lpr.cups subj=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 key=(null)
:Hash: lpr,lpr_t,unconfined_t,unix_stream_socket,connectto
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-07-09 02:19:09 EDT
Fixed in selinux-policy-3.10.0-138.fc17
Comment 2 Fedora Update System 2012-07-18 09:04:22 EDT
selinux-policy-3.10.0-140.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-07-19 05:11:16 EDT
Package selinux-policy-3.10.0-140.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-140.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-21 18:51:34 EDT
selinux-policy-3.10.0-140.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.